<DockLayout stretchLastChild="true" class="auth-container">
  <FlexboxLayout
    dock="bottom"
    class="auth-actions"
    flexDirection="row"
    justifyContent="space-between"
  >
    <app-button
      text="Reset Password"
      type="text"
      (tap)="goToResetPassword.emit()"
    ></app-button>
    <app-button width="100" text="Log In" (tap)="onSubmit()"></app-button>
  </FlexboxLayout>
  <ScrollView>
    <StackLayout class="auth-form-body">
      <FlexboxLayout
        flexDirection="row"
        alignItems="center"
        justifyContent="space-between"
        class="auth-header"
      >
        <app-heading text="Log In"></app-heading>
        <app-button
          height="36"
          text="Sign Up"
          type="border"
          (tap)="goToRegister.emit()"
        ></app-button>
      </FlexboxLayout>
      <StackLayout orientation="vertical">
        <Label
          class="p-10 m-b-10"
          *ngIf="errorMessage"
          [text]="errorMessage"
          backgroundColor="#f0f0f0"
          flexGrow="1"
        ></Label>
        <app-text-field
          autocorrect="false"
          autocapitalizationType="none"
          label="Email"
          type="email"
          returnKeyType="next"
          [isFormSubmitted]="form.isSubmitted"
          [ngrxFormControl]="form.controls.email"
        ></app-text-field>

        <Label
          *ngIf="form.errors._email && form.isSubmitted"
          class="text-label text-label--error"
          text="Enter your account's email address."
          textWrap="true"
        ></Label>

        <StackLayout width="10" height="15"></StackLayout>
        <app-text-field
          #password
          autocorrect="false"
          autocapitalizationType="none"
          type="password"
          label="Password"
          returnKeyType="done"
          [isFormSubmitted]="form.isSubmitted"
          [ngrxFormControl]="form.controls.password"
          (returnPress)="onSubmit()"
        ></app-text-field>
        <Label
          *ngIf="form.errors._password && form.isSubmitted"
          class="text-label text-label--error"
          text="Enter your account's password."
          textWrap="true"
        ></Label>
        <progress-indicator
          [inProgress]="hasLoginStarted"
          [completed]="hasLoginFinished"
        ></progress-indicator>
        <StackLayout width="10" height="15"></StackLayout>

        <app-server-select
          [showUrlControl]="form.controls.showUrl"
          [urlControl]="form.controls.url"
          [formErrors]="form.errors"
          (onSubmit)="onSubmit()"
        ></app-server-select>
      </StackLayout>
    </StackLayout>
  </ScrollView>
</DockLayout>
